#!/bin/bash

# SPDX-License-Identifier: Apache-2.0

ssh_master=$(cat tmp/master_ssh_command)

set -e

cat k8s_nginx.yml | $ssh_master kubectl apply -f -

echo
echo NGINX DEPLOYED! PLEASE FIND DETAILS OF PODS AND SERVICES BELOW:
echo

$ssh_master kubectl get pods,svc -o wide

echo
echo TO CHECK IF NGINX IS WORKING, USE THE FOLLOWING COMMANDS:
grep -r ssh tmp/ | cut -d '@' -f2 |
  xargs -i echo "   curl http://{}:30080"
echo

